{*****************************************}
{    Schlurp - Joueur virtuel             }
{    Pour Schlurp version 2 - Win32       }
{    (c) Pascal Peyremorte 1999           }
{                                         }
{    (c) <votre nom>                      }
{                                         }
{*****************************************}

{15/06/99  V1.00    Premire construction}

library Player;

{La dclaration Uses ne sert que pour pouvoir enregistrer le projet,
 sinon Delphi3 n'est pas content : "clause Uses absente ou incorrecte"
 Pipo.pas est un fichier unit vide   :-)( }
Uses
  Pipo in 'pipo.pas';

{$E .dll}

//-----------------------------------------------------------------------------
// Dclarations -  ne pas modifier -
//-----------------------------------------------------------------------------

Const
  {Taille du plateau}
  CaseMax = 6; // Damier de 7x7

  {Valeurs associes au contenu des cases du plateau}
  Vide = 0;    // Case vide
  J1   = 1;    // Case occupe par le joueur 1
  J2   = 2;    // Case occupe par le joueur 2

Type
  {Contenu du plateau, indice X puis Y : Damier[Colonne, Ligne]}
  TDamier   = Array[0..CaseMax,0..CaseMax] of Byte;

  TCoup = Record
    XD, YD : Byte; {Case de dpart}
    XA, YA : Byte; {Case d'arrive}
  End;


//-----------------------------------------------------------------------------
// Identification joueur, version et plateau
//-----------------------------------------------------------------------------


{Cette procdure doit retourner votre identification.
 C'est le nom qui apparatra dans les menus 'Joueurs' de Schlurp
 par exemple 'Pascal P. V1.0' pour mon module initial}

Function GetNomJoueur:ShortString; StdCall;
Begin
  Result:='Votre Indentification';
End;


{Cette fonction n'est actuellement utilise que pour contrle.
 Elle pourra devenir intressante si le programme principal est modifi
 pour supporter plusieurs tailles de plateau, afin d'optimiser les algorithmes
 relativement  une taille donnes.
 Actuellement une dll ne rpondant pas 7 est ignore}

Function GetTaillePlateau:Integer; StdCall;
Begin
  Result:=CaseMax+1;
End;


//-----------------------------------------------------------------------------
// Evaluation d'un coup (fumant...)
//-----------------------------------------------------------------------------

{Cette fonction retourne les coordonnes de dpart et d'arrive du pion  jouer.
 Elle n'est appele que si un coup au moins est jouable.

 Elle reoit en paramtre l'tat actuel du plateau dans Damier[X,Y] et 
 le numro du joueur pour qui il faut rflchir...

 Dans Damier, chaque case contient la valeur
    - <Vide> (=0) si elle est ... vide,
    - <J1>   (=1) si elle est occupe par un pion du joueur 1
    - <J2>   (=2) si elle est occupe par un pion du joueur 2

 Joueur vaut <J1> ou <J2>}

Function CalculeCoup(Const Damier:TDamier; Joueur:Byte):TCoup;  StdCall;
Begin
  
  Result:= ??? ;
End;


Exports
  GetNomJoueur     index 1 name 'GetPlayerName',
  GetTaillePlateau index 2 name 'GetBoardSize',
  CalculeCoup      index 3 name 'ComputeMove';
end.
